# Uses of Class
org.codehaus.janino.Java.VariableDeclarator

Packages that use Java.VariableDeclarator
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.VariableDeclarator in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.VariableDeclarator
Modifier and Type
Field
Description
`final Java.VariableDeclarator`
Java.TryStatement.LocalVariableDeclaratorResource.`variableDeclarator`
The "variable declarator" that follows the type.
`final Java.VariableDeclarator[]`
Java.FieldDeclaration.`variableDeclarators`
The declarators of this field declaration, e.g.
`final Java.VariableDeclarator[]`
Java.LocalVariableDeclarationStatement.`variableDeclarators`
The (one or more) "variable declarators" that follow the type.
Methods in org.codehaus.janino that return Java.VariableDeclarator
Modifier and Type
Method
Description
`Java.VariableDeclarator[]`
Parser.`parseFieldDeclarationRest(String name)`
FieldDeclarationRest := VariableDeclaratorRest { ',' VariableDeclarator }
`Java.VariableDeclarator`
Parser.`parseVariableDeclarator()`
VariableDeclarator := Identifier VariableDeclaratorRest
`Java.VariableDeclarator`
Parser.`parseVariableDeclaratorRest(String name)`
VariableDeclaratorRest := { '[' ']' } [ '=' VariableInitializer ]
`Java.VariableDeclarator[]`
Parser.`parseVariableDeclarators()`
VariableDeclarators := VariableDeclarator { ',' VariableDeclarator }
Methods in org.codehaus.janino with parameters of type Java.VariableDeclarator
Modifier and Type
Method
Description
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.LocalVariableDeclarationStatement lvds, Java.VariableDeclarator vd)`
Constructors in org.codehaus.janino with parameters of type Java.VariableDeclarator
Modifier
Constructor
Description
``
`FieldDeclaration(Location location, String docComment, Java.Modifier[] modifiers, Java.Type type, Java.VariableDeclarator[] variableDeclarators)`
``
`LocalVariableDeclarationStatement(Location location, Java.Modifier[] modifiers, Java.Type type, Java.VariableDeclarator[] variableDeclarators)`
``
`LocalVariableDeclaratorResource(Location location, Java.Modifier[] modifiers, Java.Type type, Java.VariableDeclarator variableDeclarator)`

## Uses of Java.VariableDeclarator in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.VariableDeclarator
Modifier and Type
Method
Description
`Java.VariableDeclarator`
DeepCopier.`copyVariableDeclarator(Java.VariableDeclarator subject)`
`Java.VariableDeclarator[]`
DeepCopier.`copyVariableDeclarators(Java.VariableDeclarator[] subject)`
Methods in org.codehaus.janino.util with parameters of type Java.VariableDeclarator
Modifier and Type
Method
Description
`Java.VariableDeclarator`
DeepCopier.`copyVariableDeclarator(Java.VariableDeclarator subject)`
`Java.VariableDeclarator[]`
DeepCopier.`copyVariableDeclarators(Java.VariableDeclarator[] subject)`